This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 540082

Summary: Kernel panic - not syncing: DMAR hardware is malfunctioning
Product: [Fedora] Fedora Reporter: 'j <the.c.horse>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: aimee, chrisv, crquan, delete, dougsland, eraverol, florian.schlechtleitner, gansalmon, gauravtalwar14, gharveyatwork, hantsy, herath1, itamar, kernel-maint, multescugeorge, person_7, priserka.a.obludka, quyadong, scott.ryan, turnik
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 21:59:44 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
Failed-1 (screenshot)
none
Failed-2 (screenshot)
none
DMAR tables from laptop requiring IOMMU be turned off in order to install/boot F12
none
DMAR tables from laptop that doesn't require IOMMU be turned off on boot
none
DRHD: handling fault status reg f0003d50 none

Description 'j 2009-11-22 04:47:39 EST
Description of problem:

at boot (before grub) :

DRHD: handling fault status reg f0006800
Kernel panic - not syncing: DMAR hardware is malfunctioning

kernel 2.6.31.5-127.fc12.i686

using last liveCD image of F12 on laptop HP6730s
Comment 1 Nick Turenkov 2009-11-22 16:58:39 EST
I have the same problem with my HP6730s. I'm used final Fedora 12 DVD x64 for testing. Attached two screenshots which I captured while system start-up.
Comment 2 Nick Turenkov 2009-11-22 17:01:43 EST
Created attachment 372971 [details]
Failed-1 (screenshot)
Comment 3 Nick Turenkov 2009-11-22 17:03:22 EST
Created attachment 372972 [details]
Failed-2 (screenshot)
Comment 4 Florian Schlechtleitner 2009-11-24 09:43:41 EST
I have the same problem with my Acer TravelMate 8371.
Tested with:
 * Fedora 12 i686 Live
 * Fedora 12 i686 DVD
 * Fedora 12 x86_64 DVD

I hope you'll fix it soon. :)
Thanks.
Comment 5 George 2009-11-25 03:39:32 EST
regression on bug #445553 ?

can try to see if adding 
intel_iommu = off
option to kernel start line fixes it?
Comment 6 Brad Scalio 2009-11-25 18:42:12 EST
Created attachment 373878 [details]
DMAR tables from laptop requiring IOMMU be turned off in order to install/boot F12

DMAR tables from a laptop that has a hard lockup with intel_iommu=off isn't passed to the kernel

HP6930p
Comment 7 Brad Scalio 2009-11-25 18:44:37 EST
Created attachment 373879 [details]
DMAR tables from laptop that doesn't require IOMMU be turned off on boot

So my company ordered about 100 of these HP6930p laptops, identical in every way, yet for some reason, a few require intel_iommu=off be passed to the kernel otherwise a fatal/hard crash occurs.  The others than don't require the boot time option will boot and install just fine, but the crash still occurs, just doesn't cause a hard lockup.

These DMAR tables are from the laptop that doesn't hard lock.

Both are identical hardware and BIOSes and F12 installs so maybe you can find anything different that may help
Comment 8 Chris Vickerson 2009-11-26 23:06:37 EST
same on Acer Aspire 1410-8803.
Comment 9 Erik Rave 2009-12-01 21:50:12 EST
Tengo el mismo problema al instalar Fedora 12 x86_x64 desde el DVD en un laptop HP ProBook 4510s, tiene procesador Core 2 Duo P a 2 GHZ con tecnologia centrino 2 el cual corre en un bus de 1066. Carga el menu de instalacion, empieza a cargar el VMlinux y demas archivos hasta que se saca el error "Kernel panic - not syncing: DMAR hardware is malfunctioning". Muchas gracias por su atencion, espero que podamos encontrar la solucion.
-------------------------------------------
I have the same problem when installing Fedora 12 from the DVD x86_x64 in my laptop HP ProBook 4510s, has Core 2 Duo processor at 2 GHz with P Centrino 2 which runs on a bus in 1066. Load the installation menu, load the vmlinux and other files until it gets the error "Kernel panic - not syncing: DOMS hardware is malfunctioning". Thank you very much for your attention, I hope we can find the solution
Comment 10 Nick Turenkov 2009-12-03 10:14:28 EST
Basically, I solve startup problem with the same way as George described: pass "intel_iommu=off" as kernel parameter. I repeat that I'm using HP 6730s laptop, so I'm not sure if that helps with other vendors.
Comment 11 'j 2009-12-05 05:21:52 EST
(In reply to comment #10)
this trick worked for me as well, thanx.
Comment 12 Erik Rave 2009-12-05 18:29:33 EST
Gracias J y George. Logre solucionar el inconveniente con el parametro indicado y logre instalar el sistema operativo, pero tuve el mismo problema en el arranque despues de instalado. Para resolverlo tuve que ingresar a los parametros del kernel y no solo poner "intel_iommu=off" sino eliminar "quiet rhgb" y adicionar "vga=771". Despues, para que estos cambios queden de forma permanente editamos el archivo /boot/grub/grub.conf con los parametros anteriormente mencionados. Espero que mi experiencia les sirva a otros Linuxeros. Gracias a todos.
-------------------------------------------------------------------------------
Thanks J and George. I could solve the problem with the parameter indicated and i could achieve install the operating system, but had the same problem at boot after installed. To resolve I had to enter kernel parameters and not only setting "intel_iommu=off", but also remove "rhgb quiet" and add "vga = 771". For that these changes stay permanently, we edit the file /boot/grub/grub.conf with the parameters mentioned above. I hope my experience will serve them to other Linux users. Thank you all. Regards Erik Rave
Comment 13 Nicola Soranzo 2009-12-24 20:02:44 EST
*** Bug 540355 has been marked as a duplicate of this bug. ***
Comment 14 Hantsy Bai 2009-12-31 09:08:25 EST
Is there a updated Fedora 12 DVD respin for installation???
Comment 15 rae 2010-01-29 14:57:07 EST
Created attachment 387636 [details]
DRHD: handling fault status reg f0003d50

the same error happend on HP Compaq CQ40 Notebook PC, with F12 LiveCD booting,
Comment 16 rae 2010-01-29 23:38:35 EST
I have tried "intel_iommu=off" for my HP Compaq CQ40 Notebook, it seemingly just skipped this BUG, but another bug still happend with this model: "it hang just on udev, and just after redhat first jmessage,"
Comment 17 Tommy xu 2010-03-08 09:41:37 EST
The same error happened on my hp CQ35 Notebook PC,with Fedora-12-i386-DVD booting.
Description of problem:

DMAR:No RMRR found
DMAR:No ATSR found
DRHD: handling fault status reg f0003d60
Kernel panic - not syncing: DMAR hardware is malfunctioning

I also have tried "intel_iommu=off" for my HP Compaq CQ35 Notebook, but this problem  still exist. wanna get help from someguys,thanks.
Comment 18 priserka a obludka 2010-05-02 09:52:16 EDT
It's pretty annoying bug that is forcing me to stay with Fedora 11. It would be great having this fixed in Fedora 13!
Comment 19 Greg Harvey 2010-05-14 10:57:31 EDT
For reference, intel_iommu=off appended to the end of the start-up line using Unetbootin off a USB memory stick solved this with a HP EliteBook 8730w.
Comment 20 aimeemaree 2010-05-15 08:05:08 EDT
not much to report but i can confirm that by sending  intel_iommu=off appended to the install for a fresh install on a HP Dv7 worked perfectly and fedora installed and running like a treat...
Comment 21 shaldon.qu 2010-05-27 10:40:12 EDT
The similar error happened on my Thinkpad T410 Notebook PC,with Fedora-13-x86_64-DVD. Instead panic, my box printed error information in file /var/log/messages until reboot, just like the following words:

18:37:43,728 INFO kernel:<3device [0d:00.0] fault addr fffff000
18:37:43,728 ERR kernel:DMAR:[fault reason 02] Present bit in context entry dtus reg 3
18:37:43,728 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] fault addr fffff000
18:37:43,728 ERR kernel:DMAR:[fault reason tus reg 3
18:37:43,728 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] fault addr fffff000
18:37:43,728 ERR kernel:DMAR:[fatus reg 3
18:37:43,728 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] fault addr fffff000
18:37:43,728 ERR kernel:DMAR:[fault rtus reg 2
18:37:43,729 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] fault addr fffff000
18:37:43,729 ERR kernel:Dtus reg 3
18:37:43,729 ERR kernel:DMARdevice [0d:00tus reg 3
18:37:43,729 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] fault addr fffff000
18:37:43,729 ERR kernel:DMAR:[fault reason 02] Present bit in context entus reg 2
18:37:43,729 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] fault addr fffff000
18:37:43,729 ERR kernel:DMARtus reg 2
18:37:43,729 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] fault addrtus reg 3
18:37:43,729 ERR kernel:DMAR:[DMdevice [0d:00.0] fautus reg 3
18:37:43,729 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] fault addr fffff000
18:37:43,729 ERR kernel:DMAR:[fault retus reg 3
18:37:43,729 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] fault addr fffff000
18:37:43,729 ERR kernel:DMAR:[fault reason 02] Presetus reg 3
18:37:43,729 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] tus reg 3
18:37:43,729 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] fault addr fffff000
18:37:43,729 ERR kernel:DMAtus reg 3
18:37:43,729 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] fault addr fffff000
18:37:43,729 ERR kernel:DMAR:[ftus reg 3
18:37:43,729 ERR kernel:DMAR:[DMA Read] Request device [0d:00.0] fault addr fffff000
18:37:43,729 ERR kernel:DMAR:[fault reason 02] Presenttus reg 2
18:37:43,729 ERR kernel:DMAR:[DMA Readdevice [0d:00.0]
18:37:43,730 ERR kernel:DMAR:[fault readevice [0d:00.0] fault addr fffff000
18:37:

intel_iommu=off solve this issue.
Comment 22 Robert de Rooy 2010-07-02 09:01:43 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=605888(In reply to comment #21)

shaldon.qu you have another problem, please look at bug https://bugzilla.redhat.com/show_bug.cgi?id=605888
Comment 23 gauravtalwar14 2010-07-10 03:24:06 EDT
(In reply to comment #0)
> Description of problem:
> at boot (before grub) :
> DRHD: handling fault status reg f0006800
> Kernel panic - not syncing: DMAR hardware is malfunctioning
> kernel 2.6.31.5-127.fc12.i686
> using last liveCD image of F12 on laptop HP6730s
Comment 24 Bug Zapper 2010-11-04 01:45:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 25 Bug Zapper 2010-12-03 21:59:44 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.